FINDFS(8)

NAZWA
findfs - odnajduje system plików po etykiecie lub identyfikatorze UUID

SKŁADNIA

findfs NAZWA=wartość

OPIS

findfs przeszuka urządzenie blokowe w systemie, szukając systemu plików lub partycji z podanym znacznikiem. Obecnie obsługiwane są następujące znaczniki:

LABEL=<etykieta>
    Określa etykietę systemu plików.

UUID=<uuid>
    Określa UUID systemu plików.

PARTUUID=<uuid>
    Określa UUID partycji. Identyfikatory partycji tego typu są obsługiwane np. w przypadku tablic partycji GPT (GUID Partition Table).

PARTLABEL=<etykieta>
    Określa etykietę (nazwę) partycji. Etykiety partycji są obsługiwane np. w przypadku tablic partycji GPT (GUID Partition Table) i MAC.

Jeśli system plików lub partycja zostanie odnaleziona, na standardowe wyjście wypisana zostanie nazwa urządzenia. Jeśli wejście nie jest w formacie NAZWA=wartość, to wejście zostanie skopiowane na wyjście bez żadnych zmian.

Pełny przegląd systemów plików i partycji można uzyskać wykonując np.

    lsblk --fs

    partx --show <dysk>

    blkid

-h, --help
    Wyświetla ten tekst i wychodzi.

-V, --version
    Wyświetla wersję i wychodzi.

STATUS ZAKOŃCZENIA

0
    sukces

1
    nie można odnaleźć etykiety lub uuid-u

2
    błędne użycie, nieprawidłowa liczba argumentów lub nieznana opcja

ŚRODOWISKO

LIBBLKID_DEBUG=all
    włącza wyjście debugowania libblkid.

AUTORZY

findfs napisał pierwotnie natomiast do pakietu util-linux przepisał go

ZOBACZ TAKŻE

blkid(8), lsblk(8), partx(8)

ZGŁASZANIE BŁĘDÓW

Problemy należy zgłaszać w

DOSTĘPNOŚĆ

Polecenie findfs jest częścią pakietu util-linux, który można pobrać ze strony